### A free/open-source library for quantitative finance

Public Member Functions
CallableFixedRateBond Class Reference
Financial instruments

callable/puttable fixed rate bond More...

`#include <ql/experimental/callablebonds/callablebond.hpp>`

Inheritance diagram for CallableFixedRateBond:
[legend]

List of all members.

## Public Member Functions

| CallableFixedRateBond (Natural settlementDays, Real faceAmount, const Schedule &schedule, const std::vector< Rate > &coupons, const DayCounter &accrualDayCounter, BusinessDayConvention paymentConvention=Following, Real redemption=100.0, const Date &issueDate=Date(), const CallabilitySchedule &putCallSchedule=CallabilitySchedule())
virtual void | setupArguments (PricingEngine::arguments *args) const

## Detailed Description

callable/puttable fixed rate bond

Callable fixed rate bond class.

Example: CallableBonds.cpp

Examples:
  CallableBonds.cpp.

## Member Function Documentation

virtual void setupArguments | ( | PricingEngine::arguments * |  | ) | const`[virtual]`

When a derived argument structure is defined for an instrument, this method should be overridden to fill it. This is mandatory in case a pricing engine is used.

Reimplemented from CallableBond.